//--------------------------------------------------------------------
//	
//	EditTextView.h
//
//	Written by: Robert Polic
//	
//	Copyright 1997 Be, Inc. All Rights Reserved.
//	
//--------------------------------------------------------------------

#ifndef EDIT_TEXT_VIEW_H
#define EDIT_TEXT_VIEW_H

#ifndef _APPLICATION_H
#include <Application.h>
#endif
#ifndef _LIST_H
#include <List.h>
#endif
#ifndef _LOOPER_H
#include <Looper.h>
#endif
#ifndef _RECT_H
#include <Rect.h>
#endif
#ifndef _TEXT_VIEW_H
#include <TextView.h>
#endif
#ifndef _VIEW_H
#include <View.h>
#endif

enum edit_messages {KILL_EDIT_SAVE = 1000, KILL_EDIT_NOSAVE, KILL_TITLE_SAVE,
					PREV_FIELD, NEXT_FIELD, SAVE_DATA};


//====================================================================

class TEditTextView : public BTextView {
private:
char			fFont[256];
long			fSize;

public:
				TEditTextView(BRect, const char*, BRect, long, long, const char*, long);
virtual bool	AcceptsChar(ulong aKey) const;
virtual	void	AttachedToWindow();
};
#endif
